Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.simple
Interface SimpleTypeFactory

    public interface SimpleTypeFactory

A TypeFactory that creates SimpleFeatureType and SimpleFeatureCollectionType.

This interface serves as a "marker" that the Factory produces Simple types. While we have provided two methods here they are not strictkly required as createFeatureType and createFeatureCollectionType will also produce simple types.

Method Summary
`SimpleFeatureCollectionType` | `createSimpleFeatureCollectionType(Name name, SimpleFeatureType member, InternationalString description)` Create a SimpleFeatureType describing a Feature containing only directly bound attributes with no multiplicity.
`SimpleFeatureType` | `createSimpleFeatureType(Name name, List<AttributeType> types, AttributeDescriptor defaultGeometry, CoordinateReferenceSystem crs, Set<Filter> restrictions, InternationalString description)` Create a SimpleFeatureType describing a Feature containing only directly bound attributes with no multiplicity.

Method Detail

### createSimpleFeatureType

    SimpleFeatureType createSimpleFeatureType(Name name,
                                              List<AttributeType> types,
                                              AttributeDescriptor defaultGeometry,
                                              CoordinateReferenceSystem crs,
                                              Set<Filter> restrictions,
                                              InternationalString description)

  Create a SimpleFeatureType describing a Feature containing only directly bound attributes with no multiplicity.

  Parameters:
    `name` - TypeName of type to be created
    `types` - AttributeTypes of contents, in order specified
    `defaultGeometry` - Member of types to be used as the defaultGeometry
    `crs` - CoordinateReferenceSystem for the contents of this feature
    `restrictions` - Filters used to check the contents of this feature
    `description` - description of this feature
  Returns:
    created SimpleFeatureType

### createSimpleFeatureCollectionType

    SimpleFeatureCollectionType createSimpleFeatureCollectionType(Name name,
                                                                  SimpleFeatureType member,
                                                                  InternationalString description)

  Create a SimpleFeatureType describing a Feature containing only directly bound attributes with no multiplicity.

  Parameters:
    `name` - TypeName of collection type to be created
    `member` - FeatureType of collection members
    `description` - description of this feature
  Returns:
    created SimpleFeatureCollectionType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.